Agents

Update organization agent upgrade policy

PUT
/organizations/{organizationId}/agents/upgrade-policy

Path Parameters

organizationId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/agents/upgrade-policy" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "defaultTargetVersion": "string",    "autoUpgrade": true,    "maintenanceWindowUtc": "string",    "maxConcurrentUpgrades": 0  }'
{  "defaultTargetVersion": "string",  "autoUpgrade": true,  "maintenanceWindowUtc": "string",  "maxConcurrentUpgrades": 0}
{  "message": "string"}
{  "message": "string"}